Error about Installation

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
’./…/…/erizoAPI/build/Release/addon’”, when i ran initLynckia.sh; If
anything wrong of my environment? My os is OS lion and my node version is
0.8.9.

Thanks
King Chung

Hi again,

It’s probably an error while compiling Erizo, but due to the large amount
of logs during its installation it’s hard to see errors occured in the
compilation. Can you send us the logs of installErizo.sh?

Cheers,
Javier.On 1 June 2013 20:15, King Chung kimgilschung@gmail.com wrote:

Hi Javier,

I have tried to install again and found that the error of libnice
installation cause file permission, so i install the libnice manually by
running the shell you wrote. And then i ran the installErizo.sh. everything
looks ok. But when i init the Lynicia, it throw the other error as below
picture. Thanks!

https://lh5.googleusercontent.com/-M8QCLAQp3Us/Uaq4fE06wiI/AAAAAAAAABY/Eb-UI9ZSiCY/s1600/QQ20130601-2%402x.png

在 2013年6月1日星期六UTC+8上午10时30分06秒,Javier Cerviño写道:

Hi King,

can you try again by updating your code with the ultimate commit we
pushed today?

Please, tell us if this fix the error.

Thank you!

On 31 May 2013 02:57, King Chung kimgil...@gmail.com wrote:

Finally, I install the Licode and run basic example successfully on
Linux Mint, but the Mac OS still can not. :frowning:

在 2013年5月29日星期三UTC+8下午5时02分50秒,**King Chung写道:

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
’./…/…/erizoAPI/build/Release/addon’”, when i ran
initLynckia.sh; If anything wrong of my environment? My os is OS lion and
my node version is 0.8.9.

Thanks
King Chung


You received this message because you are subscribed to the Google
Groups “lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to lynckia+u…@**googlegroups.com.

For more options, visit https://groups.google.com/**groups/opt_outhttps://groups.google.com/groups/opt_out
.


You received this message because you are subscribed to the Google Groups
"lynckia" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lynckia+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Hi King,

can you try again by updating your code with the ultimate commit we pushed
today?

Please, tell us if this fix the error.

Thank you!On 31 May 2013 02:57, King Chung kimgilschung@gmail.com wrote:

Finally, I install the Licode and run basic example successfully on Linux
Mint, but the Mac OS still can not. :frowning:

在 2013年5月29日星期三UTC+8下午5时02分50秒,King Chung写道:

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
’./…/…/erizoAPI/build/**Release/addon’”, when i ran initLynckia.sh; If
anything wrong of my environment? My os is OS lion and my node version is
0.8.9.

Thanks
King Chung


You received this message because you are subscribed to the Google Groups
"lynckia" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lynckia+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Hi Javier,

I have tried to install again and found that the error of libnice
installation cause file permission, so i install the libnice manually by
running the shell you wrote. And then i ran the installErizo.sh. everything
looks ok. But when i init the Lynicia, it throw the other error as below
picture. Thanks!

https://lh5.googleusercontent.com/-M8QCLAQp3Us/Uaq4fE06wiI/AAAAAAAAABY/Eb-UI9ZSiCY/s1600/QQ20130601-2%402x.png

在 2013年6月1日星期六UTC+8上午10时30分06秒,Javier Cerviño写道:>

Hi King,

can you try again by updating your code with the ultimate commit we pushed
today?

Please, tell us if this fix the error.

Thank you!

On 31 May 2013 02:57, King Chung <kimgil...@gmail.com <javascript:>>wrote:

Finally, I install the Licode and run basic example successfully on Linux
Mint, but the Mac OS still can not. :frowning:

在 2013年5月29日星期三UTC+8下午5时02分50秒,King Chung写道:

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
‘./…/…/erizoAPI/build/**Release/addon’”, when i ran initLynckia.sh;
If anything wrong of my environment? My os is OS lion and my node version
is 0.8.9.

Thanks
King Chung


You received this message because you are subscribed to the Google Groups
“lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lynckia+u...@googlegroups.com <javascript:>.
For more options, visit https://groups.google.com/groups/opt_out.

Hi King,

According to your logs it seems you didn’t install properly node-waf. It is
usually installed when installing node with brew in Mac OS X. Try
re-installing all or installing node-waf manually, using brew.

Dennis, I think you could have the same problem. Please, check the logs to
see if the installer complains about using node-waf. It would be
interesting that if any of you resolve the problem let us know the solution.

Thanks again for testing Licode!

Cheers,
Javier.On 8 June 2013 16:33, Dennis Mårtensson me@dennis.is wrote:

Hi, I am experiensing the same problem. I am running OS X mountain lion.

Do you have any ide whats going wrong? Can I help out solving the problems
any way?

Like what I have see of the project!

Keep the good work up!

/Dennis

Den torsdagen den 6:e juni 2013 kl. 09:08:28 UTC+2 skrev King Chung:

Hi Javier,
The attachment is whole of the logs of installErizo.sh, please check it.
Thanks!

Regards,
King

2013/6/4 Javier Cerviño jca...@gmail.com

Hi again,

It’s probably an error while compiling Erizo, but due to the large
amount of logs during its installation it’s hard to see errors occured in
the compilation. Can you send us the logs of installErizo.sh?

Cheers,
Javier.

On 1 June 2013 20:15, King Chung kimgil...@gmail.com wrote:

Hi Javier,

I have tried to install again and found that the error of libnice
installation cause file permission, so i install the libnice manually by
running the shell you wrote. And then i ran the installErizo.sh. everything
looks ok. But when i init the Lynicia, it throw the other error as below
picture. Thanks!

https://lh5.googleusercontent.com/-M8QCLAQp3Us/Uaq4fE06wiI/AAAAAAAAABY/Eb-UI9ZSiCY/s1600/QQ20130601-2%402x.png

在 2013年6月1日星期六UTC+8上午10时30分06秒,**Javier Cerviño写道:

Hi King,

can you try again by updating your code with the ultimate commit we
pushed today?

Please, tell us if this fix the error.

Thank you!

On 31 May 2013 02:57, King Chung kimgil...@gmail.com wrote:

Finally, I install the Licode and run basic example successfully on
Linux Mint, but the Mac OS still can not. :frowning:

在 2013年5月29日星期三UTC+8下午5时02分50秒,King Chung写道:

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
‘./…/…/erizoAPI/build/**Releas****e/addon’”, when i ran
initLynckia.sh; If anything wrong of my environment? My os is OS lion and
my node version is 0.8.9.

Thanks
King Chung


You received this message because you are subscribed to the Google
Groups “lynckia” group.
To unsubscribe from this group and stop receiving emails from it,
send an email to lynckia+u…@**googlegroups.com.

For more options, visit https://groups.google.com/groups/opt_outhttps://groups.google.com/groups/opt_out
.


You received this message because you are subscribed to the Google
Groups “lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to lynckia+u…@**googlegroups.com.
For more options, visit https://groups.google.com/**groups/opt_outhttps://groups.google.com/groups/opt_out
.


You received this message because you are subscribed to the Google
Groups “lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to lynckia+u…@**googlegroups.com.
For more options, visit https://groups.google.com/**groups/opt_outhttps://groups.google.com/groups/opt_out
.


You received this message because you are subscribed to the Google Groups
“lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lynckia+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Hi all,

https://lh4.googleusercontent.com/-Sl3NIApn8N4/UacXM4k5YOI/AAAAAAAAAA4/MfXl1rVid08/s1600/屏幕快照+2013-05-30+PM17.01.09.png
I have reinstall the Lynckia, but the error is already exists. I found that
erizoAPI has not install successfully, so i try to run the build.sh to
install it manully. But it throw the error for me. I have no idea about
this, if anyone can help me? thank you very much!!

在 2013年5月29日星期三UTC+8下午5时02分50秒,King Chung写道:>

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
’./…/…/erizoAPI/build/Release/addon’”, when i ran initLynckia.sh; If
anything wrong of my environment? My os is OS lion and my node version is
0.8.9.

Thanks
King Chung

Hi Javier,
The attachment is whole of the logs of installErizo.sh, please check it.
Thanks!

Regards,
King2013/6/4 Javier Cerviño jcague@gmail.com

Hi again,

It’s probably an error while compiling Erizo, but due to the large amount
of logs during its installation it’s hard to see errors occured in the
compilation. Can you send us the logs of installErizo.sh?

Cheers,
Javier.

On 1 June 2013 20:15, King Chung kimgilschung@gmail.com wrote:

Hi Javier,

I have tried to install again and found that the error of libnice
installation cause file permission, so i install the libnice manually by
running the shell you wrote. And then i ran the installErizo.sh. everything
looks ok. But when i init the Lynicia, it throw the other error as below
picture. Thanks!

https://lh5.googleusercontent.com/-M8QCLAQp3Us/Uaq4fE06wiI/AAAAAAAAABY/Eb-UI9ZSiCY/s1600/QQ20130601-2%402x.png

在 2013年6月1日星期六UTC+8上午10时30分06秒,Javier Cerviño写道:

Hi King,

can you try again by updating your code with the ultimate commit we
pushed today?

Please, tell us if this fix the error.

Thank you!

On 31 May 2013 02:57, King Chung kimgil...@gmail.com wrote:

Finally, I install the Licode and run basic example successfully on
Linux Mint, but the Mac OS still can not. :frowning:

在 2013年5月29日星期三UTC+8下午5时02分50秒,**King Chung写道:

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
‘./…/…/erizoAPI/build/Release/addon’”, when i ran
initLynckia.sh; If anything wrong of my environment? My os is OS lion and
my node version is 0.8.9.

Thanks
King Chung


You received this message because you are subscribed to the Google
Groups “lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to lynckia+u…@**googlegroups.com.

For more options, visit https://groups.google.com/**groups/opt_outhttps://groups.google.com/groups/opt_out
.


You received this message because you are subscribed to the Google Groups
“lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lynckia+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.


You received this message because you are subscribed to the Google Groups
“lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lynckia+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

install.log (8.1 KB)

Hi, I am experiensing the same problem. I am running OS X mountain lion.

Do you have any ide whats going wrong? Can I help out solving the problems
any way?

Like what I have see of the project!

Keep the good work up!

/Dennis

Den torsdagen den 6:e juni 2013 kl. 09:08:28 UTC+2 skrev King Chung:>

Hi Javier,
The attachment is whole of the logs of installErizo.sh, please check it.
Thanks!

Regards,
King

2013/6/4 Javier Cerviño <jca...@gmail.com <javascript:>>

Hi again,

It’s probably an error while compiling Erizo, but due to the large amount
of logs during its installation it’s hard to see errors occured in the
compilation. Can you send us the logs of installErizo.sh?

Cheers,
Javier.

On 1 June 2013 20:15, King Chung <kimgil...@gmail.com <javascript:>>wrote:

Hi Javier,

I have tried to install again and found that the error of libnice
installation cause file permission, so i install the libnice manually by
running the shell you wrote. And then i ran the installErizo.sh. everything
looks ok. But when i init the Lynicia, it throw the other error as below
picture. Thanks!

https://lh5.googleusercontent.com/-M8QCLAQp3Us/Uaq4fE06wiI/AAAAAAAAABY/Eb-UI9ZSiCY/s1600/QQ20130601-2%402x.png

在 2013年6月1日星期六UTC+8上午10时30分06秒,Javier Cerviño写道:

Hi King,

can you try again by updating your code with the ultimate commit we
pushed today?

Please, tell us if this fix the error.

Thank you!

On 31 May 2013 02:57, King Chung kimgil...@gmail.com wrote:

Finally, I install the Licode and run basic example successfully on
Linux Mint, but the Mac OS still can not. :frowning:

在 2013年5月29日星期三UTC+8下午5时02分50秒,**King Chung写道:

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
‘./…/…/erizoAPI/build/Release/addon’”, when i ran
initLynckia.sh; If anything wrong of my environment? My os is OS lion and
my node version is 0.8.9.

Thanks
King Chung


You received this message because you are subscribed to the Google
Groups “lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to lynckia+u…@**googlegroups.com.

For more options, visit https://groups.google.com/**groups/opt_outhttps://groups.google.com/groups/opt_out
.


You received this message because you are subscribed to the Google
Groups “lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to lynckia+u...@googlegroups.com <javascript:>.
For more options, visit https://groups.google.com/groups/opt_out.


You received this message because you are subscribed to the Google Groups
“lynckia” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lynckia+u...@googlegroups.com <javascript:>.
For more options, visit https://groups.google.com/groups/opt_out.

Finally, I install the Licode and run basic example successfully on Linux
Mint, but the Mac OS still can not. :frowning:

在 2013年5月29日星期三UTC+8下午5时02分50秒,King Chung写道:>

Hi,

Recently, i installed the platform on my computer according to
guidelines. But it always throw the error that “cannot find the module
’./…/…/erizoAPI/build/Release/addon’”, when i ran initLynckia.sh; If
anything wrong of my environment? My os is OS lion and my node version is
0.8.9.

Thanks
King Chung